/********************************************************************
	Rhapsody	: 6.1 
	Login		: Masood Khosroshahy
	Component	: mainComponent 
	Configuration 	: DefaultConfig
	Model Element	: Rip
//!	Generated Date	: Tue, 28, Mar 2006  
	File Path	: mainComponent/DefaultConfig/Rip.cpp
*********************************************************************/


//#[ ignore 
#define NAMESPACE_PREFIX 
//#]

#include "Rip.h"
#include "iRouterScheduler1.h"
#include "iSchedulerRouter3.h"
#include "Network.h"
#include "Router.h"
#include "Scheduler.h"

//## package Rip 


//#[ ignore 
#define evRIP_SERIALIZE \
    OMADD_SER(NBLines, x2String(myEvent->NBLines)) \
    OMADD_SER(msg, UNKNOWN2STRING(myEvent->msg)) \
    OMADD_SER(D1, x2String(myEvent->D1)) \
    OMADD_SER(C1, x2String(myEvent->C1)) \
    OMADD_SER(D2, x2String(myEvent->D2)) \
    OMADD_SER(C2, x2String(myEvent->C2)) \
    OMADD_SER(D3, x2String(myEvent->D3)) \
    OMADD_SER(C3, x2String(myEvent->C3)) \
    OMADD_SER(D4, x2String(myEvent->D4)) \
    OMADD_SER(C4, x2String(myEvent->C4))


#define evRIP_UNSERIALIZE \
    OMADD_UNSER(int, NBLines, OMDestructiveString2X) \
    OMADD_UNSER(RIPTable, msg, OMDestructiveString2X) \
    OMADD_UNSER(int, D1, OMDestructiveString2X) \
    OMADD_UNSER(int, C1, OMDestructiveString2X) \
    OMADD_UNSER(int, D2, OMDestructiveString2X) \
    OMADD_UNSER(int, C2, OMDestructiveString2X) \
    OMADD_UNSER(int, D3, OMDestructiveString2X) \
    OMADD_UNSER(int, C3, OMDestructiveString2X) \
    OMADD_UNSER(int, D4, OMDestructiveString2X) \
    OMADD_UNSER(int, C4, OMDestructiveString2X)


#define evRIP_CONSTRUCTOR evRIP(NBLines, msg, D1, C1, D2, C2, D3, C3, D4, C4)


#define evInit_SERIALIZE OMADD_SER(id, x2String(myEvent->id))


#define evInit_UNSERIALIZE OMADD_UNSER(int, id, OMDestructiveString2X)


#define evInit_CONSTRUCTOR evInit(id)


#define evRep_Init_SERIALIZE OM_NO_OP


#define evRep_Init_UNSERIALIZE OM_NO_OP


#define evRep_Init_CONSTRUCTOR evRep_Init()


#define evTopology_SERIALIZE \
    OMADD_SER(arg1, x2String(myEvent->arg1)) \
    OMADD_SER(arg2, x2String(myEvent->arg2)) \
    OMADD_SER(arg3, x2String(myEvent->arg3))


#define evTopology_UNSERIALIZE \
    OMADD_UNSER(int, arg1, OMDestructiveString2X) \
    OMADD_UNSER(int, arg2, OMDestructiveString2X) \
    OMADD_UNSER(int, arg3, OMDestructiveString2X)


#define evTopology_CONSTRUCTOR evTopology(arg1, arg2, arg3)


#define evTimer_SERIALIZE OMADD_SER(arg, x2String(myEvent->arg))


#define evTimer_UNSERIALIZE OMADD_UNSER(int, arg, OMDestructiveString2X)


#define evTimer_CONSTRUCTOR evTimer(arg)
//#]

//----------------------------------------------------------------------------
// Rip.cpp                                                                  
//----------------------------------------------------------------------------


#ifdef _OMINSTRUMENT
static void serializeGlobalVars(AOMSAttributes* aomsAttributes);
#endif // _OMINSTRUMENT
IMPLEMENT_META_PACKAGE(Rip,Rip)



#ifdef _OMINSTRUMENT
static void serializeGlobalVars(AOMSAttributes* aomsAttributes) {
}

#endif // _OMINSTRUMENT


evRIP::evRIP() {
    NOTIFY_EVENT_CONSTRUCTOR(evRIP)
    setId(evRIP_Rip_id);
}

evRIP::evRIP(int p_NBLines, RIPTable p_msg, int p_D1, int p_C1, int p_D2, int p_C2, int p_D3, int p_C3, int p_D4, int p_C4) {
    NOTIFY_EVENT_CONSTRUCTOR(evRIP)
    setId(evRIP_Rip_id);
    NBLines = p_NBLines;
    msg = p_msg;
    D1 = p_D1;
    C1 = p_C1;
    D2 = p_D2;
    C2 = p_C2;
    D3 = p_D3;
    C3 = p_C3;
    D4 = p_D4;
    C4 = p_C4;
}

bool evRIP::isTypeOf(short id) const {
    if(evRIP_Rip_id==id)
        {
            return true;
        }
    else
        {
            return false;
        }
}


#ifdef _OMINSTRUMENT


IMPLEMENT_META_EVENT_NO_UNSERIALIZE(evRIP, Rip, evRIP(int,RIPTable,int,int,int,int,int,int,int,int))
#endif // _OMINSTRUMENT



evInit::evInit() {
    NOTIFY_EVENT_CONSTRUCTOR(evInit)
    setId(evInit_Rip_id);
}

evInit::evInit(int p_id) {
    NOTIFY_EVENT_CONSTRUCTOR(evInit)
    setId(evInit_Rip_id);
    id = p_id;
}

bool evInit::isTypeOf(short id) const {
    if(evInit_Rip_id==id)
        {
            return true;
        }
    else
        {
            return false;
        }
}


#ifdef _OMINSTRUMENT


IMPLEMENT_META_EVENT(evInit, Rip, evInit(int))
#endif // _OMINSTRUMENT


evRep_Init::evRep_Init() {
    NOTIFY_EVENT_CONSTRUCTOR(evRep_Init)
    setId(evRep_Init_Rip_id);
}

bool evRep_Init::isTypeOf(short id) const {
    if(evRep_Init_Rip_id==id)
        {
            return true;
        }
    else
        {
            return false;
        }
}


#ifdef _OMINSTRUMENT


IMPLEMENT_META_EVENT(evRep_Init, Rip, evRep_Init())
#endif // _OMINSTRUMENT



evTopology::evTopology() {
    NOTIFY_EVENT_CONSTRUCTOR(evTopology)
    setId(evTopology_Rip_id);
}

evTopology::evTopology(int p_arg1, int p_arg2, int p_arg3) {
    NOTIFY_EVENT_CONSTRUCTOR(evTopology)
    setId(evTopology_Rip_id);
    arg1 = p_arg1;
    arg2 = p_arg2;
    arg3 = p_arg3;
}

bool evTopology::isTypeOf(short id) const {
    if(evTopology_Rip_id==id)
        {
            return true;
        }
    else
        {
            return false;
        }
}


#ifdef _OMINSTRUMENT


IMPLEMENT_META_EVENT(evTopology, Rip, evTopology(int,int,int))
#endif // _OMINSTRUMENT



evTimer::evTimer() {
    NOTIFY_EVENT_CONSTRUCTOR(evTimer)
    setId(evTimer_Rip_id);
}

evTimer::evTimer(int p_arg) {
    NOTIFY_EVENT_CONSTRUCTOR(evTimer)
    setId(evTimer_Rip_id);
    arg = p_arg;
}

bool evTimer::isTypeOf(short id) const {
    if(evTimer_Rip_id==id)
        {
            return true;
        }
    else
        {
            return false;
        }
}


#ifdef _OMINSTRUMENT


IMPLEMENT_META_EVENT(evTimer, Rip, evTimer(int))
#endif // _OMINSTRUMENT


/*********************************************************************
	File Path	: mainComponent/DefaultConfig/Rip.cpp
*********************************************************************/

