/*********************************************************************
	Rhapsody	: 6.1 
	Login		: Masood Khosroshahy
	Component	: mainComponent 
	Configuration 	: DefaultConfig
	Model Element	: Router
//!	Generated Date	: Tue, 28, Mar 2006  
	File Path	: mainComponent/DefaultConfig/Router.h
*********************************************************************/


#ifndef Router_H 

#define Router_H 

#include <oxf/oxf.h>
#include <aom/aom.h>
#include "Rip.h"
// class Router 
#include "iSchedulerRouter3.h"
// class OutBound 
#include "iRouterScheduler1.h"
#include <oxf/OMDefaultReactivePort.h>

//## package Rip 

//----------------------------------------------------------------------------
// Router.h                                                                  
//----------------------------------------------------------------------------

#ifdef _OMINSTRUMENT
class OMAnimatedRouter;
#endif // _OMINSTRUMENT


//## class Router 
class Router : public iSchedulerRouter3 {
public :
    
        
        //## ignore 
        class pScheduler_C  {
        public :
            class InBound_C;
            class OutBound_C;
            
        public :
            
                
                //## ignore 
                class InBound_C : public iSchedulerRouter3 {
                
                
                ////    Constructors and destructors    ////
                public :
                    
                    //## auto_generated 
                    InBound_C();
                    
                    //## auto_generated 
                    virtual ~InBound_C();
                
                
                ////    Operations    ////
                public :
                    
                    //## operation send(IOxfEvent*,const IOxfEventGenerationParams&) 
                    bool send(IOxfEvent* event, const IOxfEventGenerationParams& params);
                    
                    //## operation send(IOxfEvent*) 
                    bool send(IOxfEvent* event);
                
                
                ////    Additional operations    ////
                public :
                    
                    //## auto_generated 
                    iSchedulerRouter3* getItsISchedulerRouter3() const;
                    
                    //## auto_generated 
                    void setItsISchedulerRouter3(iSchedulerRouter3* p_iSchedulerRouter3);
                    
                    //## auto_generated 
                    pScheduler_C* getPort() const;
                    
                    //## auto_generated 
                    void setPort(pScheduler_C* p_pScheduler_C);
                
                
                ////    Framework operations    ////
                public :
                    
                    //## auto_generated 
                    void __setPort(pScheduler_C* p_pScheduler_C);
                    
                    //## auto_generated 
                    void _setPort(pScheduler_C* p_pScheduler_C);
                    
                    //## auto_generated 
                    void _clearPort();
                
                protected :
                    
                    //## auto_generated 
                    void cleanUpRelations();
                
                
                ////    Relations and components    ////
                protected :
                    
                    iSchedulerRouter3* itsISchedulerRouter3;		//## link itsISchedulerRouter3 
                    
                    
                    pScheduler_C* port;		//## link port 
                    
                
                
                };
                
            
                
                //## ignore 
                class OutBound_C : public iRouterScheduler1 {
                
                
                ////    Constructors and destructors    ////
                public :
                    
                    //## auto_generated 
                    OutBound_C();
                    
                    //## auto_generated 
                    virtual ~OutBound_C();
                
                
                ////    Operations    ////
                public :
                    
                    //## operation send(IOxfEvent*,const IOxfEventGenerationParams&) 
                    bool send(IOxfEvent* event, const IOxfEventGenerationParams& params);
                    
                    //## operation send(IOxfEvent*) 
                    bool send(IOxfEvent* event);
                
                
                ////    Additional operations    ////
                public :
                    
                    //## auto_generated 
                    OMReactive* getItsIRouterScheduler1() const;
                    
                    //## auto_generated 
                    void setItsIRouterScheduler1(OMReactive* p_OMReactive);
                
                
                ////    Framework operations    ////
                protected :
                    
                    //## auto_generated 
                    void cleanUpRelations();
                
                
                ////    Relations and components    ////
                protected :
                    
                    OMReactive* itsIRouterScheduler1;		//## link itsIRouterScheduler1 
                    
                
                
                };
                
            
        //## ignore 
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pScheduler_C();
            
            //## auto_generated 
            virtual ~pScheduler_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectRouter(Router*) 
            void connectRouter(Router* part);
            
            //## operation getItsIRouterScheduler1() 
            iRouterScheduler1* getItsIRouterScheduler1();
            
            //## operation getItsISchedulerRouter3() 
            iSchedulerRouter3* getItsISchedulerRouter3();
            
            //## operation setItsIRouterScheduler1(OMReactive*) 
            void setItsIRouterScheduler1(OMReactive* p_iRouterScheduler1);
            
            //## operation setItsISchedulerRouter3(iSchedulerRouter3*) 
            void setItsISchedulerRouter3(iSchedulerRouter3* p_iSchedulerRouter3);
        
        
        ////    Additional operations    ////
        public :
            
            //## auto_generated 
            InBound_C* getInBound() const;
            
            //## auto_generated 
            OutBound_C* getOutBound() const;
        
        
        ////    Framework operations    ////
        public :
            
            //## auto_generated 
            void destroy();
        
        protected :
            
            //## auto_generated 
            void initRelations();
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        ////    Relations and components    ////
        protected :
            
            InBound_C InBound;		//## classInstance InBound 
            
            
            OutBound_C OutBound;		//## classInstance OutBound 
            
        
        
        };
        
    
        
        //## ignore 
        class pRIP2_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pRIP2_C();
            
            //## auto_generated 
            virtual ~pRIP2_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectRouter(Router*) 
            void connectRouter(Router* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
        
        //## ignore 
        class pRIP1_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pRIP1_C();
            
            //## auto_generated 
            virtual ~pRIP1_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectRouter(Router*) 
            void connectRouter(Router* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
        
        //## ignore 
        class pRIP3_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pRIP3_C();
            
            //## auto_generated 
            virtual ~pRIP3_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectRouter(Router*) 
            void connectRouter(Router* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
        
        //## ignore 
        class pRIP4_C : public OMDefaultReactivePort {
        
        
        ////    Constructors and destructors    ////
        public :
            
            //## auto_generated 
            pRIP4_C();
            
            //## auto_generated 
            virtual ~pRIP4_C();
        
        
        ////    Operations    ////
        public :
            
            //## operation connectRouter(Router*) 
            void connectRouter(Router* part);
        
        
        ////    Attributes    ////
        protected :
            
            int _p_;		//## attribute _p_ 
            
        
        };
        
    
//## class Router 


////    Friends    ////
public :
    
    
#ifdef _OMINSTRUMENT
    friend  class OMAnimatedRouter;
#endif // _OMINSTRUMENT


////    Constructors and destructors    ////
public :
    
    //## auto_generated 
    Router(IOxfActive* theActiveContext = 0);
    
    //## auto_generated 
    ~Router();


////    Operations    ////
public :
    
    //## operation countingNumberOfNeighbours() 
    void countingNumberOfNeighbours();
    
    //## operation send_RIPtable() 
    void send_RIPtable();


////    Additional operations    ////
public :
    
    //## auto_generated 
    pScheduler_C* getPScheduler() const;
    
    //## auto_generated 
    pScheduler_C* get_pScheduler() const;
    
    //## auto_generated 
    pScheduler_C* newPScheduler();
    
    //## auto_generated 
    void deletePScheduler();
    
    //## auto_generated 
    pRIP2_C* getPRIP2() const;
    
    //## auto_generated 
    pRIP2_C* get_pRIP2() const;
    
    //## auto_generated 
    pRIP2_C* newPRIP2();
    
    //## auto_generated 
    void deletePRIP2();
    
    //## auto_generated 
    pRIP1_C* getPRIP1() const;
    
    //## auto_generated 
    pRIP1_C* get_pRIP1() const;
    
    //## auto_generated 
    pRIP1_C* newPRIP1();
    
    //## auto_generated 
    void deletePRIP1();
    
    //## auto_generated 
    pRIP3_C* getPRIP3() const;
    
    //## auto_generated 
    pRIP3_C* get_pRIP3() const;
    
    //## auto_generated 
    pRIP3_C* newPRIP3();
    
    //## auto_generated 
    void deletePRIP3();
    
    //## auto_generated 
    pRIP4_C* getPRIP4() const;
    
    //## auto_generated 
    pRIP4_C* get_pRIP4() const;
    
    //## auto_generated 
    pRIP4_C* newPRIP4();
    
    //## auto_generated 
    void deletePRIP4();
    
    //## auto_generated 
    int getNbNodes() const;
    
    //## auto_generated 
    void setNbNodes(int p_NbNodes);
    
    //## auto_generated 
    int getCost() const;
    
    //## auto_generated 
    void setCost(int p_cost);
    
    //## auto_generated 
    int getDest() const;
    
    //## auto_generated 
    void setDest(int p_dest);
    
    //## auto_generated 
    int getI() const;
    
    //## auto_generated 
    void setI(int p_i);
    
    //## auto_generated 
    int getJ() const;
    
    //## auto_generated 
    void setJ(int p_j);
    
    //## auto_generated 
    int getK() const;
    
    //## auto_generated 
    void setK(int p_k);
    
    //## auto_generated 
    int getL() const;
    
    //## auto_generated 
    void setL(int p_l);
    
    //## auto_generated 
    int getM() const;
    
    //## auto_generated 
    void setM(int p_m);
    
    //## auto_generated 
    int getN() const;
    
    //## auto_generated 
    void setN(int p_n);
    
    //## auto_generated 
    int getN_line() const;
    
    //## auto_generated 
    void setN_line(int p_n_line);
    
    //## auto_generated 
    int getNb_line() const;
    
    //## auto_generated 
    void setNb_line(int p_nb_line);
    
    //## auto_generated 
    NeighboursTable getNeighbours() const;
    
    //## auto_generated 
    void setNeighbours(NeighboursTable p_neighbours);
    
    //## auto_generated 
    int getNext() const;
    
    //## auto_generated 
    void setNext(int p_next);
    
    //## auto_generated 
    int getNumberOfInitializationMessagesReceived() const;
    
    //## auto_generated 
    void setNumberOfInitializationMessagesReceived(int p_numberOfInitializationMessagesReceived);
    
    //## auto_generated 
    int getNumberOfNeighbours() const;
    
    //## auto_generated 
    void setNumberOfNeighbours(int p_numberOfNeighbours);
    
    //## auto_generated 
    int getNumberOfReceivedRIPMessages() const;
    
    //## auto_generated 
    void setNumberOfReceivedRIPMessages(int p_numberOfReceivedRIPMessages);
    
    //## auto_generated 
    RIPTable getReceived_rip() const;
    
    //## auto_generated 
    void setReceived_rip(RIPTable p_received_rip);
    
    //## auto_generated 
    int getReceiverRouterID() const;
    
    //## auto_generated 
    void setReceiverRouterID(int p_receiverRouterID);
    
    //## auto_generated 
    RIPMessages getRipMessagesReceived() const;
    
    //## auto_generated 
    void setRipMessagesReceived(RIPMessages p_ripMessagesReceived);
    
    //## auto_generated 
    RIPTable getRip_msg() const;
    
    //## auto_generated 
    void setRip_msg(RIPTable p_rip_msg);
    
    //## auto_generated 
    RoutingTable getRouteT() const;
    
    //## auto_generated 
    void setRouteT(RoutingTable p_routeT);
    
    //## auto_generated 
    int getRouterID() const;
    
    //## auto_generated 
    void setRouterID(int p_routerID);
    
    //## auto_generated 
    int getSenderRouter() const;
    
    //## auto_generated 
    void setSenderRouter(int p_senderRouter);
    
    //## auto_generated 
    RIPMessagesArray getToSendRIPMessages() const;
    
    //## auto_generated 
    void setToSendRIPMessages(RIPMessagesArray p_toSendRIPMessages);


////    Framework operations    ////
public :
    
    //evRIP(int,RIPTable,int,int,int,int,int,int,int,int);
    
    //rootState:
    
    //## statechart_method 
    inline bool rootState_IN() const;
    
    //## statechart_method 
    virtual void rootState_entDef();
    
    //## statechart_method 
    virtual IOxfReactive::TakeEventStatus rootState_processEvent();
    
    //mainState:
    
    //## statechart_method 
    inline bool mainState_IN() const;
    
    //topologyReceived:
    
    //## statechart_method 
    inline bool topologyReceived_IN() const;
    
    //TableUpdate:
    
    //## statechart_method 
    inline bool TableUpdate_IN() const;
    
    //## statechart_method 
    inline bool TableUpdate_isCompleted();
    
    //state_53:
    
    //## statechart_method 
    inline bool state_53_IN() const;
    
    //SavingSenderRouterID:
    
    //## statechart_method 
    inline bool SavingSenderRouterID_IN() const;
    
    //Processing:
    
    //## statechart_method 
    inline bool Processing_IN() const;
    
    //TableUpdate_Initial:
    
    //## statechart_method 
    inline bool TableUpdate_Initial_IN() const;
    
    //CostUpdate:
    
    //## statechart_method 
    inline bool CostUpdate_IN() const;
    
    //## statechart_method 
    inline bool CostUpdate_isCompleted();
    
    //state_70:
    
    //## statechart_method 
    inline bool state_70_IN() const;
    
    //state_65:
    
    //## statechart_method 
    inline bool state_65_IN() const;
    
    //state_63:
    
    //## statechart_method 
    inline bool state_63_IN() const;
    
    //state_59:
    
    //## statechart_method 
    inline bool state_59_IN() const;
    
    //ModifyingTheTable:
    
    //## statechart_method 
    inline bool ModifyingTheTable_IN() const;
    
    //Modifying:
    
    //## statechart_method 
    inline bool Modifying_IN() const;
    
    //ModificationComplete:
    
    //## statechart_method 
    inline bool ModificationComplete_IN() const;
    
    //InitializingCounter:
    
    //## statechart_method 
    inline bool InitializingCounter_IN() const;
    
    //CostUpdate_Initial:
    
    //## statechart_method 
    inline bool CostUpdate_Initial_IN() const;
    
    //ChangingTheNextHop:
    
    //## statechart_method 
    inline bool ChangingTheNextHop_IN() const;
    
    //AddingToRoutingTable:
    
    //## statechart_method 
    inline bool AddingToRoutingTable_IN() const;
    
    //Adding:
    
    //## statechart_method 
    inline bool Adding_IN() const;
    
    //CheckingRIPMessage:
    
    //## statechart_method 
    inline bool CheckingRIPMessage_IN() const;
    
    //CheckingNextRIPMessage:
    
    //## statechart_method 
    inline bool CheckingNextRIPMessage_IN() const;
    
    //CheckingNextLine:
    
    //## statechart_method 
    inline bool CheckingNextLine_IN() const;
    
    //SendingAndReceivingRIPMessages_ReceivingNewTopology:
    
    //## statechart_method 
    inline bool SendingAndReceivingRIPMessages_ReceivingNewTopology_IN() const;
    
    //RIPMessagesSent:
    
    //## statechart_method 
    inline bool RIPMessagesSent_IN() const;
    
    //RIPMessageReceived:
    
    //## statechart_method 
    inline bool RIPMessageReceived_IN() const;
    
    //Initial:
    
    //## statechart_method 
    inline bool Initial_IN() const;
    
    //IDReceived:
    
    //## statechart_method 
    inline bool IDReceived_IN() const;
    
    //CreateRIPmessage:
    
    //## statechart_method 
    inline bool CreateRIPmessage_IN() const;
    
    //## statechart_method 
    inline bool CreateRIPmessage_isCompleted();
    
    //state_45:
    
    //## statechart_method 
    inline bool state_45_IN() const;
    
    //SendingRIPMessage:
    
    //## statechart_method 
    inline bool SendingRIPMessage_IN() const;
    
    //OthersAdded:
    
    //## statechart_method 
    inline bool OthersAdded_IN() const;
    
    //LinesAdded:
    
    //## statechart_method 
    inline bool LinesAdded_IN() const;
    
    //CreateRIPmessage_Initial:
    
    //## statechart_method 
    inline bool CreateRIPmessage_Initial_IN() const;
    
    //ExcludingLinesOfAParticularReceiver:
    
    //## statechart_method 
    inline bool ExcludingLinesOfAParticularReceiver_IN() const;
    
    //CustomizingEachMessage:
    
    //## statechart_method 
    inline bool CustomizingEachMessage_IN() const;
    
    //CountersSet:
    
    //## statechart_method 
    inline bool CountersSet_IN() const;
    
    //AddingLinesToRIPMessage:
    
    //## statechart_method 
    inline bool AddingLinesToRIPMessage_IN() const;
    
    //AddingItselfToRIPMessage:
    
    //## statechart_method 
    inline bool AddingItselfToRIPMessage_IN() const;
    
    //CreateNewTable:
    
    //## statechart_method 
    inline bool CreateNewTable_IN() const;
    
    //## statechart_method 
    inline bool CreateNewTable_isCompleted();
    
    //CreateNewTable_TableUpdated:
    
    //## statechart_method 
    inline bool CreateNewTable_TableUpdated_IN() const;
    
    //CreateNewTable_state_31:
    
    //## statechart_method 
    inline bool CreateNewTable_state_31_IN() const;
    
    //CreateNewTable_Start:
    
    //## statechart_method 
    inline bool CreateNewTable_Start_IN() const;
    
    //CreateNewTable_SettingInactiveLinks:
    
    //## statechart_method 
    inline bool CreateNewTable_SettingInactiveLinks_IN() const;
    
    //CreateNewTable_SettingActiveLinks:
    
    //## statechart_method 
    inline bool CreateNewTable_SettingActiveLinks_IN() const;
    
    //CreateNewTable_Initial:
    
    //## statechart_method 
    inline bool CreateNewTable_Initial_IN() const;
    
    //CreateNewTable_IncrementingTheCounter:
    
    //## statechart_method 
    inline bool CreateNewTable_IncrementingTheCounter_IN() const;
    
    //CreateInitialTable:
    
    //## statechart_method 
    inline bool CreateInitialTable_IN() const;
    
    //## statechart_method 
    inline bool CreateInitialTable_isCompleted();
    
    //TableUpdated:
    
    //## statechart_method 
    inline bool TableUpdated_IN() const;
    
    //state_31:
    
    //## statechart_method 
    inline bool state_31_IN() const;
    
    //Start:
    
    //## statechart_method 
    inline bool Start_IN() const;
    
    //SettingInactiveLinks:
    
    //## statechart_method 
    inline bool SettingInactiveLinks_IN() const;
    
    //SettingActiveLinks:
    
    //## statechart_method 
    inline bool SettingActiveLinks_IN() const;
    
    //CreateInitialTable_Initial:
    
    //## statechart_method 
    inline bool CreateInitialTable_Initial_IN() const;
    
    //IncrementingTheCounter:
    
    //## statechart_method 
    inline bool IncrementingTheCounter_IN() const;
    
    //AckSent:
    
    //## statechart_method 
    inline bool AckSent_IN() const;
    
    //## auto_generated 
    virtual bool startBehavior();
    
    //## statechart_method 
    void CreateInitialTable_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus AddingItselfToRIPMessage_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CountersSet_handleEvent();
    
    //## statechart_method 
    void CostUpdate_exit();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Processing_handleEvent();
    
    //## statechart_method 
    void CreateRIPmessage_exit();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus ChangingTheNextHop_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus state_59_handleEvent();
    
    //## statechart_method 
    void mainState_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CreateNewTable_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Adding_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Modifying_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus state_63_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus state_70_handleEvent();
    
    //## statechart_method 
    void TableUpdate_exit();
    
    //## statechart_method 
    void TableUpdate_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus Start_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus TableUpdated_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CreateNewTable_Start_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CustomizingEachMessage_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus AddingLinesToRIPMessage_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus ExcludingLinesOfAParticularReceiver_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus OthersAdded_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CostUpdate_Initial_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus SavingSenderRouterID_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus TableUpdate_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CreateNewTable_TableUpdated_handleEvent();
    
    //## statechart_method 
    void CreateNewTable_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus SendingRIPMessage_handleEvent();
    
    //## statechart_method 
    void CreateRIPmessage_entDef();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus InitializingCounter_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CreateRIPmessage_Initial_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus LinesAdded_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CreateRIPmessage_handleEvent();
    
    //## statechart_method 
    void CreateNewTable_exit();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CheckingNextRIPMessage_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CreateInitialTable_handleEvent();
    
    //## statechart_method 
    void CreateInitialTable_exit();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus state_65_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus SendingAndReceivingRIPMessages_ReceivingNewTopology_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CostUpdate_InitialTakeNull();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus ModificationComplete_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus ModifyingTheTable_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus AddingToRoutingTable_handleEvent();
    
    //## statechart_method 
    IOxfReactive::TakeEventStatus CostUpdate_handleEvent();
    
    //## statechart_method 
    void CostUpdate_entDef();
    
    //## statechart_method 
    void mainState_exit();

protected :
    
    //## auto_generated 
    void initRelations();
    
    //## auto_generated 
    void initStatechart();
    
    //## auto_generated 
    void cleanUpRelations();


////    Attributes    ////
protected :
    
    int NbNodes;		//## attribute NbNodes 
    
    int cost;		//## attribute cost 
    
    int dest;		//## attribute dest 
    
    int i;		//## attribute i 
    
    int j;		//## attribute j 
    
    int k;		//## attribute k 
    
    int l;		//## attribute l 
    
    int m;		//## attribute m 
    
    int n;		//## attribute n 
    
    int n_line;		//## attribute n_line 
    
    int nb_line;		//## attribute nb_line 
    
    NeighboursTable neighbours;		//## attribute neighbours 
    
    int next;		//## attribute next 
    
    int numberOfInitializationMessagesReceived;		//## attribute numberOfInitializationMessagesReceived 
    
    int numberOfNeighbours;		//## attribute numberOfNeighbours 
    
    int numberOfReceivedRIPMessages;		//## attribute numberOfReceivedRIPMessages 
    
    RIPTable received_rip;		//## attribute received_rip 
    
    int receiverRouterID;		//## attribute receiverRouterID 
    
    RIPMessages ripMessagesReceived;		//## attribute ripMessagesReceived 
    
    RIPTable rip_msg;		//## attribute rip_msg 
    
    RoutingTable routeT;		//## attribute routeT 
    
    int routerID;		//## attribute routerID 
    
    int senderRouter;		//## attribute senderRouter 
    
    RIPMessagesArray toSendRIPMessages;		//## attribute toSendRIPMessages 
    

////    Relations and components    ////
protected :
    
    pScheduler_C* pScheduler;		//## classInstance pScheduler 
    
    
    pRIP2_C* pRIP2;		//## classInstance pRIP2 
    
    
    pRIP1_C* pRIP1;		//## classInstance pRIP1 
    
    
    pRIP3_C* pRIP3;		//## classInstance pRIP3 
    
    
    pRIP4_C* pRIP4;		//## classInstance pRIP4 
    


////    Framework    ////
protected :
    
    //#[ ignore 
    //states enumeration: 
    enum Router_Enum{ OMNonState=0, mainState=1, topologyReceived=2, TableUpdate=3, 
        state_53=4, SavingSenderRouterID=5, Processing=6, TableUpdate_Initial=7, 
        CostUpdate=8, state_70=9, state_65=10, state_63=11, 
        state_59=12, ModifyingTheTable=13, Modifying=14, ModificationComplete=15, 
        InitializingCounter=16, CostUpdate_Initial=17, ChangingTheNextHop=18, AddingToRoutingTable=19, 
        Adding=20, CheckingRIPMessage=21, CheckingNextRIPMessage=22, CheckingNextLine=23, 
        SendingAndReceivingRIPMessages_ReceivingNewTopology=24, RIPMessagesSent=25, RIPMessageReceived=26, Initial=27, 
        IDReceived=28, CreateRIPmessage=29, state_45=30, SendingRIPMessage=31, 
        OthersAdded=32, LinesAdded=33, CreateRIPmessage_Initial=34, ExcludingLinesOfAParticularReceiver=35, 
        CustomizingEachMessage=36, CountersSet=37, AddingLinesToRIPMessage=38, AddingItselfToRIPMessage=39, 
        CreateNewTable=40, CreateNewTable_TableUpdated=41, CreateNewTable_state_31=42, CreateNewTable_Start=43, 
        CreateNewTable_SettingInactiveLinks=44, CreateNewTable_SettingActiveLinks=45, CreateNewTable_Initial=46, CreateNewTable_IncrementingTheCounter=47, 
        CreateInitialTable=48, TableUpdated=49, state_31=50, Start=51, 
        SettingInactiveLinks=52, SettingActiveLinks=53, CreateInitialTable_Initial=54, IncrementingTheCounter=55, AckSent=56 };
        //#]
    
    int rootState_subState;		//## ignore 
    
    
    int rootState_active;		//## ignore 
    
    
    int mainState_subState;		//## ignore 
    
    
    int TableUpdate_subState;		//## ignore 
    
    
    int CostUpdate_subState;		//## ignore 
    
    
    int CreateRIPmessage_subState;		//## ignore 
    
    
    int CreateNewTable_subState;		//## ignore 
    
    
    int CreateInitialTable_subState;		//## ignore 
    

};
//---------------------------------------------------------------------------- 
// inline operations for Router
//---------------------------------------------------------------------------- 

inline bool Router::rootState_IN() const {
    return true;
}

inline bool Router::mainState_IN() const {
    return rootState_subState == mainState;
}

inline bool Router::topologyReceived_IN() const {
    return mainState_subState == topologyReceived;
}

inline bool Router::TableUpdate_IN() const {
    return mainState_subState == TableUpdate;
}

inline bool Router::TableUpdate_isCompleted() {
    return ( IS_IN(state_53) );
}

inline bool Router::state_53_IN() const {
    return TableUpdate_subState == state_53;
}

inline bool Router::SavingSenderRouterID_IN() const {
    return TableUpdate_subState == SavingSenderRouterID;
}

inline bool Router::Processing_IN() const {
    return TableUpdate_subState == Processing;
}

inline bool Router::TableUpdate_Initial_IN() const {
    return TableUpdate_subState == TableUpdate_Initial;
}

inline bool Router::CostUpdate_IN() const {
    return TableUpdate_subState == CostUpdate;
}

inline bool Router::CostUpdate_isCompleted() {
    return ( IS_IN(state_59) || IS_IN(state_63) || IS_IN(state_65) || IS_IN(state_70) );
}

inline bool Router::state_70_IN() const {
    return CostUpdate_subState == state_70;
}

inline bool Router::state_65_IN() const {
    return CostUpdate_subState == state_65;
}

inline bool Router::state_63_IN() const {
    return CostUpdate_subState == state_63;
}

inline bool Router::state_59_IN() const {
    return CostUpdate_subState == state_59;
}

inline bool Router::ModifyingTheTable_IN() const {
    return CostUpdate_subState == ModifyingTheTable;
}

inline bool Router::Modifying_IN() const {
    return CostUpdate_subState == Modifying;
}

inline bool Router::ModificationComplete_IN() const {
    return CostUpdate_subState == ModificationComplete;
}

inline bool Router::InitializingCounter_IN() const {
    return CostUpdate_subState == InitializingCounter;
}

inline bool Router::CostUpdate_Initial_IN() const {
    return CostUpdate_subState == CostUpdate_Initial;
}

inline bool Router::ChangingTheNextHop_IN() const {
    return CostUpdate_subState == ChangingTheNextHop;
}

inline bool Router::AddingToRoutingTable_IN() const {
    return CostUpdate_subState == AddingToRoutingTable;
}

inline bool Router::Adding_IN() const {
    return CostUpdate_subState == Adding;
}

inline bool Router::CheckingRIPMessage_IN() const {
    return TableUpdate_subState == CheckingRIPMessage;
}

inline bool Router::CheckingNextRIPMessage_IN() const {
    return TableUpdate_subState == CheckingNextRIPMessage;
}

inline bool Router::CheckingNextLine_IN() const {
    return TableUpdate_subState == CheckingNextLine;
}

inline bool Router::SendingAndReceivingRIPMessages_ReceivingNewTopology_IN() const {
    return mainState_subState == SendingAndReceivingRIPMessages_ReceivingNewTopology;
}

inline bool Router::RIPMessagesSent_IN() const {
    return mainState_subState == RIPMessagesSent;
}

inline bool Router::RIPMessageReceived_IN() const {
    return mainState_subState == RIPMessageReceived;
}

inline bool Router::Initial_IN() const {
    return mainState_subState == Initial;
}

inline bool Router::IDReceived_IN() const {
    return mainState_subState == IDReceived;
}

inline bool Router::CreateRIPmessage_IN() const {
    return mainState_subState == CreateRIPmessage;
}

inline bool Router::CreateRIPmessage_isCompleted() {
    return ( IS_IN(state_45) );
}

inline bool Router::state_45_IN() const {
    return CreateRIPmessage_subState == state_45;
}

inline bool Router::SendingRIPMessage_IN() const {
    return CreateRIPmessage_subState == SendingRIPMessage;
}

inline bool Router::OthersAdded_IN() const {
    return CreateRIPmessage_subState == OthersAdded;
}

inline bool Router::LinesAdded_IN() const {
    return CreateRIPmessage_subState == LinesAdded;
}

inline bool Router::CreateRIPmessage_Initial_IN() const {
    return CreateRIPmessage_subState == CreateRIPmessage_Initial;
}

inline bool Router::ExcludingLinesOfAParticularReceiver_IN() const {
    return CreateRIPmessage_subState == ExcludingLinesOfAParticularReceiver;
}

inline bool Router::CustomizingEachMessage_IN() const {
    return CreateRIPmessage_subState == CustomizingEachMessage;
}

inline bool Router::CountersSet_IN() const {
    return CreateRIPmessage_subState == CountersSet;
}

inline bool Router::AddingLinesToRIPMessage_IN() const {
    return CreateRIPmessage_subState == AddingLinesToRIPMessage;
}

inline bool Router::AddingItselfToRIPMessage_IN() const {
    return CreateRIPmessage_subState == AddingItselfToRIPMessage;
}

inline bool Router::CreateNewTable_IN() const {
    return mainState_subState == CreateNewTable;
}

inline bool Router::CreateNewTable_isCompleted() {
    return ( IS_IN(CreateNewTable_state_31) );
}

inline bool Router::CreateNewTable_TableUpdated_IN() const {
    return CreateNewTable_subState == CreateNewTable_TableUpdated;
}

inline bool Router::CreateNewTable_state_31_IN() const {
    return CreateNewTable_subState == CreateNewTable_state_31;
}

inline bool Router::CreateNewTable_Start_IN() const {
    return CreateNewTable_subState == CreateNewTable_Start;
}

inline bool Router::CreateNewTable_SettingInactiveLinks_IN() const {
    return CreateNewTable_subState == CreateNewTable_SettingInactiveLinks;
}

inline bool Router::CreateNewTable_SettingActiveLinks_IN() const {
    return CreateNewTable_subState == CreateNewTable_SettingActiveLinks;
}

inline bool Router::CreateNewTable_Initial_IN() const {
    return CreateNewTable_subState == CreateNewTable_Initial;
}

inline bool Router::CreateNewTable_IncrementingTheCounter_IN() const {
    return CreateNewTable_subState == CreateNewTable_IncrementingTheCounter;
}

inline bool Router::CreateInitialTable_IN() const {
    return mainState_subState == CreateInitialTable;
}

inline bool Router::CreateInitialTable_isCompleted() {
    return ( IS_IN(state_31) );
}

inline bool Router::TableUpdated_IN() const {
    return CreateInitialTable_subState == TableUpdated;
}

inline bool Router::state_31_IN() const {
    return CreateInitialTable_subState == state_31;
}

inline bool Router::Start_IN() const {
    return CreateInitialTable_subState == Start;
}

inline bool Router::SettingInactiveLinks_IN() const {
    return CreateInitialTable_subState == SettingInactiveLinks;
}

inline bool Router::SettingActiveLinks_IN() const {
    return CreateInitialTable_subState == SettingActiveLinks;
}

inline bool Router::CreateInitialTable_Initial_IN() const {
    return CreateInitialTable_subState == CreateInitialTable_Initial;
}

inline bool Router::IncrementingTheCounter_IN() const {
    return CreateInitialTable_subState == IncrementingTheCounter;
}

inline bool Router::AckSent_IN() const {
    return mainState_subState == AckSent;
}










#ifdef _OMINSTRUMENT
//## ignore 
class OMAnimatedRouter : public OMAnimatediSchedulerRouter3 {

    
    DECLARE_REACTIVE_META(Router, OMAnimatedRouter)


////    Framework operations    ////
public :
    
    virtual void serializeAttributes(AOMSAttributes* aomsAttributes) const;
    
    virtual void serializeRelations(AOMSRelations* aomsRelations) const;
    
    //## statechart_method 
    void rootState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void mainState_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void topologyReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void TableUpdate_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_53_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SavingSenderRouterID_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Processing_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void TableUpdate_Initial_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CostUpdate_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_70_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_65_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_63_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_59_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ModifyingTheTable_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Modifying_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ModificationComplete_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void InitializingCounter_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CostUpdate_Initial_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ChangingTheNextHop_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void AddingToRoutingTable_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Adding_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CheckingRIPMessage_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CheckingNextRIPMessage_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CheckingNextLine_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SendingAndReceivingRIPMessages_ReceivingNewTopology_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void RIPMessagesSent_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void RIPMessageReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Initial_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void IDReceived_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateRIPmessage_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_45_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SendingRIPMessage_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void OthersAdded_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void LinesAdded_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateRIPmessage_Initial_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void ExcludingLinesOfAParticularReceiver_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CustomizingEachMessage_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CountersSet_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void AddingLinesToRIPMessage_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void AddingItselfToRIPMessage_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateNewTable_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateNewTable_TableUpdated_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateNewTable_state_31_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateNewTable_Start_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateNewTable_SettingInactiveLinks_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateNewTable_SettingActiveLinks_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateNewTable_Initial_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateNewTable_IncrementingTheCounter_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateInitialTable_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void TableUpdated_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void state_31_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void Start_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SettingInactiveLinks_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void SettingActiveLinks_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void CreateInitialTable_Initial_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void IncrementingTheCounter_serializeStates(AOMSState* aomsState) const;
    
    //## statechart_method 
    void AckSent_serializeStates(AOMSState* aomsState) const;


};

#endif // _OMINSTRUMENT

#endif  
/*********************************************************************
	File Path	: mainComponent/DefaultConfig/Router.h
*********************************************************************/

